<?php
/*------------------------------------------------------------------------
# default.php - mod_ospropertysearch
# ------------------------------------------------------------------------
# author    Dang Thuc Dam
# copyright Copyright (C) 2010 joomdonation.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomdonation.com
# Technical Support:  Forum - http://www.joomdonation.com/forum.html
*/

/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');
?>
<script language="javascript">
function submitSearchForm<?php echo $random_id?>(){
	var ossearchForm = document.getElementById('ossearchForm<?php echo $random_id?>');
	var keyword = ossearchForm.keyword;
	var category_id = ossearchForm.category_id;
	var property_type = ossearchForm.property_type;
	var agent_id = ossearchForm.agent_id;
	var state = ossearchForm.state;
	var fields = ossearchForm.fields.value;
	var canSubmit = 1;
	var emptyFiemd = 0;
	var mcountry_id = document.getElementById('mcountry_id<?php echo $random_id?>');
	var country_id = ossearchForm.country_id;
	var city = ossearchForm.city;
	var mstate_id = document.getElementById('mstate_id<?php echo $random_id?>');
	var state_id = ossearchForm.state_id;
	var mcity = document.getElementById('city<?php echo $random_id?>');
	if((mcountry_id != null) && (country_id != null)){
		country_id.value = mcountry_id.value;
	}
	if((mstate_id != null) && (state_id != null)){
		state_id.value = mstate_id.value;
	}
	if(( mcity != null) && (city != null)){
		city.value = mcity.value;
	}
	if(fields != ""){
		var fieldArr = fields.split(",");
		var length = fieldArr.length;
		if(keyword != null){
			if(keyword.value == ""){
				emptyFiemd++;
			}
		}
		if(property_type != null){
			if(property_type.value == ""){
				emptyFiemd++;
			}
		}
		if(category_id != null){
			if(category_id.value == ""){
				emptyFiemd++;
			}
		}
		if(state != null){
			if(state.value == ""){
				emptyFiemd++;
			}
		}
		if(agent_id != null){
			if(agent_id.value == ""){
				emptyFiemd++;
			}
		}
		
		if(emptyFiemd == fieldArr.length){
			alert("<?php echo JText::_('OS_SEARCH_PLEASE_ENTER_FIELD')?>");
			return false;
		}else{
			ossearchForm.submit();		
		}
	}else{
		ossearchForm.submit();
	}
}
</script>
<?php
if($samepage == 1){
	$needs = array();
	$needs[] = "ladvsearch";
	$needs[] = "property_advsearch";
	$itemid  = OSPRoute::getItemid($needs);
}else{
	$itemid = 9999;
}
$field = "";
?>
<form method="POST" action="<?php echo JRoute::_('index.php?option=com_osproperty&task=property_advsearch&Itemid='.$itemid)?>" name="ossearchForm<?php echo $random_id?>" id="ossearchForm<?php echo $random_id?>">
<div style="width:100%;" class="ospropertysearch<?php echo $moduleclass_sfx ?>">
	<?php
	if($show_basic_slide == 1){
	?>
	<b><?php echo  JText::_('OS_SEARCH_BASIC_INFORMATION')?> <a href="javascript:modOspropertySearchChangeDiv('basic_div<?php echo $random_id?>')" id="abasic_div" style="text-decoration:none;">[-]</a></b>
	<div style="padding-top:10px;padding-bottom:10px;display:block;" id="basic_div<?php echo $random_id?>">
		<table cellpadding="0" cellspacing="0" width="100%">
			<?php
			if($show_category == 1){
				$field .= "category_id,";
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_CATEGORIES')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<?php echo modOspropertySearchHelper::listCategories(JRequest::getVar('category_id'),'',$inputbox_width_site); ?>
				</td>
			</tr>
			<?php
			}
			?>
			<?php
			if(($show_type == 1) and ($property_type == 0)){
				$field .= "pro_type,";
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_PROPERTY_TYPE')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<?php echo $lists['type'];?>
				</td>
			</tr>
			<?php
			}
			if($property_type  > 0){
				?>
				<input type="hidden" name="adv_type" id="adv_type" value="<?php echo $property_type?>" />
				<input type="hidden" name="property_type" id="property_type" value="<?php echo $property_type?>" />
				<?php
			}
			?>
			<?php
			if($show_price == 1){
				$field .= "price,";
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_PRICE')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<?php echo $lists['price'];?>
				</td>
			</tr>
			<?php
			}
			?>
		</table>
	</div>
	
	<?php
	}
	?>
	<?php
	if($show_details_slide == 1){
	?>
	<div style="clear:both;"></div>
	<b><?php echo  JText::_('OS_SEARCH_DETAILS')?> <a href="javascript:modOspropertySearchChangeDiv('details_div<?php echo $random_id?>')" id="adetails_div" style="text-decoration:none;"><?php echo $character?></a></b>
	<div style="padding-top:10px;padding-bottom:10px;display:<?php echo $div_style?>;" id="details_div<?php echo $random_id?>">
		<table cellpadding="0" cellspacing="0" width="100%">
			<?php
			if($configClass['use_rooms'] == 1){
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_ROOMS')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<?php echo $lists['nroom'];?>
				</td>
			</tr>
			<?php
			}
			if($configClass['use_nfloors'] == 1){
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_FLOORS')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<?php echo $lists['nfloor'];?>
				</td>
			</tr>
			<?php
			}
			if($configClass['use_bathrooms'] == 1){
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_BATHROOMS')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<?php echo $lists['nbath'];?>
				</td>
			</tr>
			<?php
			}
			if($configClass['use_bedrooms'] == 1){
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_BEDROOMS')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<?php echo $lists['nbed'];?>
				</td>
			</tr>
			<?php
			}
			?>
		</table>
	</div>
	<?php
	}
	?>
	<?php
	if($show_address_slide == 1){
	?>
	<div style="clear:both;"></div>
	<b><?php echo  JText::_('OS_SEARCH_ADDRESS')?> <a href="javascript:modOspropertySearchChangeDiv('address_div<?php echo $random_id?>')" id="aaddress_div" style="text-decoration:none;"><?php echo $character?></a></b>
	<div style="padding-top:10px;padding-bottom:10px;display:<?php echo $div_style?>;" id="address_div<?php echo $random_id?>">
		<table cellpadding="0" cellspacing="0" width="100%">
			<?php
			if(HelperOspropertyCommon::checkCountry()){
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_COUNTRY')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<?php echo $lists['country'];?>
				</td>
			</tr>
			<?php
			}
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_STATE')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<div id="country_state_search_module<?php echo $random_id?>">
						<?php echo $lists['state'];?>
					</div>
				</td>
			</tr>
			<?php
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_CITY')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<div id="city_div_search_module<?php echo $random_id?>">
						<?php echo $lists['city'];?>
					</div>
				</td>
			</tr>
			<?php
			?>
			<tr>
				<td class="mod_ossearch_left_col">
					<label class="elementlabel">
						<?php echo JText::_('OS_SEARCH_ADDRESS')?>:
					</label>
				</td>
				<td class="mod_ossearch_right_col">
					<input type="text" class="input-small" name="address" style="width:<?php echo $inputbox_width_site?>px;">
				</td>
			</tr>
			<?php
			?>
		</table>
		<input type="hidden" name="state_id"  value="" />
		<input type="hidden" name="country_id"  value="" />
		<input type="hidden" name="city" value="" />
	</div>
	<?php
	}
	if($show_amenity_slide == 1){
	?>
	<div style="clear:both;"></div>
	<b><?php echo  JText::_('OS_SEARCH_AMENITIES')?> <a href="javascript:modOspropertySearchChangeDiv('amenity_div<?php echo $random_id?>')" id="aamenity_div" style="text-decoration:none;"><?php echo $character?></a></b>
	<div style="padding-top:10px;padding-bottom:10px;display:<?php echo $div_style?>;" id="amenity_div<?php echo $random_id?>">
		<table cellpadding="0" cellspacing="0" width="100%">
			<?php
			for($i=0;$i<count($amenities);$i++){
				if(count($amenities_post) > 0){
					if(in_array($amenities[$i]->id,$amenities_post)){
						$checked = "checked";
					}else{
						$checked = "";
					}
				}
				?>
				<tr>
					<td style="padding-top:2px;padding-bottom:2px;">
						<input type="checkbox" name="amenities[]" value="<?php echo $amenities[$i]->id;?>" <?php echo $checked;?>> <?php echo $amenities[$i]->amenities;?>
					</td>
				</tr>
				<?php
			}
			?>
		</table>
	</div>
	<?php
	}
	if($show_other_slide == 1){
	?>
	<div style="clear:both;"></div>
	<b><?php echo  JText::_('OS_SEARCH_OTHER')?> <a href="javascript:modOspropertySearchChangeDiv('other_div<?php echo $random_id?>')" id="aother_div" style="text-decoration:none;"><?php echo $character?></a></b>
	<?php
	if($show_keyword == 1){
		$field .= "keyword,";
	?>
		<div style="padding-top:10px;padding-bottom:10px;display:<?php echo $div_style?>;" id="other_div<?php echo $random_id?>">
			<table cellpadding="0" cellspacing="0" width="100%">
				<tr>
					<td class="mod_ossearch_left_col">
						<label class="elementlabel">
							<?php echo JText::_('OS_SEARCH_KEYWORD')?>:
						</label>
					</td>
					<td class="mod_ossearch_right_col">
						<input type="text" class="input-small" style="width:<?php echo $inputbox_width_site?>px;"  value="<?php echo JRequest::getVar('keyword','')?>" id="keyword" name="keyword">
					</td>
				</tr>
				<tr>
					<td class="mod_ossearch_left_col">
						<label class="elementlabel">
							<?php echo JText::_('OS_SEARCH_FEATURE')?>:
						</label>
					</td>
					<td class="mod_ossearch_right_col">
						<?php
						if($isFeatured == 1){
							$checked = "checked";
						}else{
							$checked = "";
						}
						?>
						<input type="checkbox" name="isFeatured" id="isFeatured" value="<?php echo $isFeatured;?>" <?php echo $checked;?> onclick="javascript:modOspropertyChangeValue('isFeatured')">
					</td>
				</tr>
			</table>
		</div>
	<?php
	}
	?>	
	<?php
	}
	$field = substr($field,0,strlen($field)-1);
	
	//show the custom fields searching
	for($i=0;$i<count($groups);$i++){
		$group = $groups[$i];
		if(count($group->fields) > 0){
			?>
			<div style="clear:both;"></div>
			<b><?php echo $group->group_name?> <a href="javascript:modOspropertySearchChangeDiv('group<?php echo str_replace("'","",strtolower(str_replace(" ","_",$group->group_name)));?><?php echo $random_id?>')" id="agroup<?php echo str_replace("'","",strtolower(str_replace(" ","_",$group->group_name)));?><?php echo $random_id?>" style="text-decoration:none;"><?php echo $character?></a></b>
			<div style="padding-top:10px;padding-bottom:10px;display:<?php echo $div_style?>;" id="group<?php echo str_replace("'","",strtolower(str_replace(" ","_",$group->group_name)));?><?php echo $random_id?>">
				<table cellpadding="0" cellspacing="0" width="100%">
					<?php
					$fields = $group->fields;
					for($j=0;$j<count($fields);$j++){
						$customfield = $fields[$j];
						HelperOspropertyFields::showFieldinAdvSearch($customfield,0);
					}
					?>
				</table>
			</div>
			<?php
		}
	}
	?>
	<div class="elementdiv">
		<input type="button" class="btn btn-info" value="<?php echo JText::_('OS_SEARCH_SUBMIT')?>" onclick="javascript:submitSearchForm<?php echo $random_id?>()">
	</div>
</div>
<input type="hidden" name="fields" id="fields" value="<?php echo $field?>" />
<input type="hidden" name="option" value="com_osproperty" />
<input type="hidden" name="task" value="property_advsearch" />
<input type="hidden" name="Itemid" value="<?php echo $itemid;?>" />
<input type="hidden" name="show_advancesearchform" value="<?php echo $show_advancesearchform?>" />
</form>
<script language="javascript">
function modOspropertySearchChangeDiv(div_name){
	var div  = document.getElementById(div_name);
	var atag = document.getElementById('a' + div_name);
	if(div.style.display == "block"){
		div.style.display = "none";
		atag.innerHTML = '[+]';
		
	}else{
		div.style.display = "block";	
		atag.innerHTML = '[-]';
	}
}

function modOspropertyChangeValue(item){
	var temp  = document.getElementById(item);
	if(temp.value == 0){
		temp.value = 1;
	}else{
		temp.value = 0;
	}
}
function change_country_companyModule<?php echo $random_id?>(country_id,state_id,city_id,random_id){
	var live_site = '<?php echo JURI::root()?>';
	loadLocationInfoStateCityLocatorModule(country_id,state_id,city_id,'mcountry_id' + random_id,'mstate_id' + random_id,live_site,random_id);
}
function change_stateModule<?php echo $random_id?>(state_id,city_id,random_id){
	var live_site = '<?php echo JURI::root()?>';
	loadLocationInfoCityModule(state_id,city_id,'mstate_id' + random_id,live_site,random_id);
}
</script>
